PeopleForce
Employees

Deprecated

Company API v1 is deprecated and will be removed in a future release. Migrate to a newer version — v4 is the latest. Use the version switcher in the header.

Create an employee additional compensation

POST
/api/public/v1/employees/{employee_id}/additional_compensations

Path Parameters

employee_id*integer

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/public/v1/employees/0/additional_compensations" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'compensation_type_id=string&starts_on=string&amount=string&currency_code=string'
{  "data": {    "id": 0,    "type": "string",    "description": "string",    "amount": "string",    "currency_code": "string",    "starts_on": "string",    "created_at": "string",    "updated_at": "string",    "compensation_type": {      "id": 0,      "name": "string"    },    "frequency": "string",    "ends_on": "string",    "custom_fields": {      "property1": {        "name": "string",        "value": "string"      },      "property2": {        "name": "string",        "value": "string"      }    }  }}